| Home | Libraries | People | FAQ | More

## Struct template local

boost::xpressive::local

## Synopsis

    template<typename T>
    struct local {
      // types
      typedef proto::terminal< reference_wrapper< T > >::type base_type;

      // construct/copy/destruct
      local();
      local(T const &);

      // public member functions
      T & get() ;
      T const & get() const;
    };

## Description

### `local` public construct/copy/destruct

1.     local();

2.     local(T const & t);

### `local` public member functions

1.     T & get() ;

2.     T const & get() const;